Subject: Re: [Cellar] IETF current milestones: request for feedback

From: Dave Rice <[email-masked]>
Date: Sun, 26 Feb 2017 18:31:29 -0500

Hi Tessa, Steve, cellar,

> On Sep 18, 2016, at 3:44 AM, Steve Lhomme <[email-masked]> wrote:
> 
> 2016-09-13 15:58 GMT+02:00 Tessa Fallon <[email-masked]>:
>> At the CELLAR meeting in July, it was decided that working group milestones
>> would need to be revised.   The current list is below.
>> 
>> Would those working on FFV1, EBML, and Matroska weigh in on the state of the
>> specifications and projected timelines for work to be completed?  I note
>> that the most recent changes to EBML were submitted on Sunday 9/11.  Where
>> does this leave the document?
> 
> It's an on-going effort. There are currently 16 issues opened on the
> EBML specs alone:
> https://github.com/Matroska-Org/ebml-specification/issues <https://github.com/Matroska-Org/ebml-specification/issues>

EBML is down to 7 issues now, though some are ideas/considerations rather than issues. I propose that a milestone for submitting EBML to IESG is reset to a date in the near-future (end of March), and nudge for more comprehensive peer-reviews of the EBML specification.

> There are 5 on Matroska but that's because most of the effort has been
> concentrated on EBML yet:
> https://github.com/Matroska-Org/matroska-specification/issues <https://github.com/Matroska-Org/matroska-specification/issues>

Matroska is now up to 19 issues since it’s been more active lately. It’s certainly a large specification so perhaps we should set a new list of more granular milestones for the components of the specification:

- attachments
- chapters / menu
- codec_specs
- cues
- diagram
- the EBML Schema of Matroska
- index / notes / order_guidelines / streaming
- subtitles
- tagging / metadata

Volunteers to manage a review of the state of each component?

With FFV1, there’s 6 open issues and half refer to future version enhancements. Volunteers willing, I think it’s likely a version 0, 1, 2, 3 specification of FFV1 could be ready to submit to the IESG at the end of March as well.

However these depend on sufficient peer-reviews. Perhaps we could collaborate with one of the other audiovisual working groups for a cross-peer-review.

Here’s a new draft of a milestone list, please comment/advice:

? Submit specification for FLAC audio codec to IESG (Standards Track)
Jul 2017 Submit specification for FFV1 video codec version 4 to IESG (Standards Track)
Sep 2017 Submit specification for Matroska container format version 4 to IESG (Standards Track)
Mar 2017 Submit informational specification for FFV1 video codec versions 0, 1 and 3 to IESG for publication
Mar 2017 Submit specification for EBML to IESG (Standards Track)
May 2017 Submit informational specification for Matroska container format versions 1, 2 and 3 to IESG for publication

Although since Matroska version 4 has been in use for so longer, perhaps the milestone to work on a future Matroska version should be changed to ‘version 5’ rather than 4.

Also FLAC? There’s been a few volunteer to get this started (self included), but as far as I know, there’s no progress on this specification.

Thanks much,
Dave

> There are way more elements to defined in Matroska, various
> interactions between them and all kinds of loopholes that we need to
> iron out.
> 
>> Much thanks,
>> Tessa
>> 
>> Date
>> Dec 2016 Submit specification for FLAC audio codec to IESG (Standards Track)
>> Sep 2016 Submit specification for FFV1 video codec version 4 to IESG
>> (Standards Track)
>> Jul 2016 Submit specification for Matroska container format version 4 to
>> IESG (Standards Track)
>> Jul 2016 Submit informational specification for FFV1 video codec versions 0,
>> 1 and 3 to IESG for publication
>> Jun 2016 Submit specification for EBML to IESG (Standards Track)
>> Jun 2016 Submit informational specification for Matroska container format
>> versions 1, 2 and 3 to IESG for publication
>> 
>> _______________________________________________
>> Cellar mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/cellar
>> 
> 
> 
> 
> -- 
> Steve Lhomme
> Matroska association Chairman
> 
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar